
QGIS Application - Feature request #14410

Composer: "add layer to legend" dialog should allow double-click and multiple selection

2016-03-03 08:19 AM - Harrissou Santanna

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Pull Request or Patch supplied:No Resolution: fixed/implemented

Easy fix?: No Copied to github as #: 22391

Description

When manually adding items to a legend in the print composer, you need to add one by one the layers you want, opening the dialog,

selecting the layer, press the Add button and then again opening the dialog....

It should be more easier to process, by allowing:

    -  double-click on a layer name to get it added

    -  and select multiple items to add

Associated revisions

Revision 66402570 - 2017-12-19 02:06 AM - Nyall Dawson

[layouts] Allow double-clicking to add layer to legend

Fixes #14410

History

#1 - 2017-05-01 12:46 AM - Giovanni Manghi

- Easy fix? set to No

#2 - 2017-12-19 05:29 AM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|664025709ee4c8132dd08e865a317735475445f6.

#3 - 2018-02-22 11:51 AM - Giovanni Manghi

- Resolution set to fixed/implemented

- Description updated
